summaryrefslogtreecommitdiff
path: root/bin/tests/system/dnssec/prereq.sh
diff options
context:
space:
mode:
authorInternet Software Consortium, Inc <@isc.org>2007-09-07 14:13:44 -0600
committerLaMont Jones <lamont@debian.org>2007-09-07 14:13:44 -0600
commitefa7b3eaa60cbaa0daf55af6dbbe218fc230222d (patch)
treea32af84a5e267d5715ca50b23766c666d0bcf2d9 /bin/tests/system/dnssec/prereq.sh
parentb62706a673dc58ca390b47342036e3f3206a14bc (diff)
downloadbind9-efa7b3eaa60cbaa0daf55af6dbbe218fc230222d.tar.gz
9.2.0a3
Diffstat (limited to 'bin/tests/system/dnssec/prereq.sh')
-rw-r--r--bin/tests/system/dnssec/prereq.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/bin/tests/system/dnssec/prereq.sh b/bin/tests/system/dnssec/prereq.sh
new file mode 100644
index 00000000..b3d436d5
--- /dev/null
+++ b/bin/tests/system/dnssec/prereq.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+#
+# Copyright (C) 2000, 2001 Internet Software Consortium.
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND INTERNET SOFTWARE CONSORTIUM
+# DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL
+# INTERNET SOFTWARE CONSORTIUM BE LIABLE FOR ANY SPECIAL, DIRECT,
+# INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
+# FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
+# NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
+# WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+# $Id: prereq.sh,v 1.3 2001/07/13 18:28:58 gson Exp $
+
+if $KEYGEN -a RSA -b 512 -n zone -r $KEYGEN foo > /dev/null 2>&1
+then
+ rm -f foo*
+else
+ echo "I:This test requires that --with-openssl was used." >&2
+ exit 1
+fi